XAttr (JNA API)
Description: declaration: package: com.sun.jna.platform.linux, interface: XAttr

Package com.sun.jna.platform.linux

# Interface XAttr

All Superinterfaces:
  `Library`

public interface XAttr extends Library

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `XAttr.size_t`
  `static class`
  `XAttr.ssize_t`

  ## Nested classes/interfaces inherited from interface com.sun.jna.Library

  `Library.Handler`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `E2BIG`
  `static final int`
  `EDQUOT`
  `static final int`
  `EEXIST`
  `static final int`
  `ENOATTR`
  `static final int`
  `ENODATA`
  `static final int`
  `ENOSPC`
  `static final int`
  `ENOTSUP`
  `static final int`
  `EPERM`
  `static final int`
  `ERANGE`
  `static final XAttr`
  `INSTANCE`
  `static final int`
  `XATTR_CREATE`
  `static final int`
  `XATTR_REPLACE`

  ### Fields inherited from interface com.sun.jna.Library

  `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_SYMBOL_PROVIDER, OPTION_TYPE_MAPPER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XAttr.ssize_t`
  `fgetxattr(int fd, String name, byte[] value, XAttr.size_t size)`
  `XAttr.ssize_t`
  `fgetxattr(int fd, String name, Pointer value, XAttr.size_t size)`
  `XAttr.ssize_t`
  `flistxattr(int fd, byte[] list, XAttr.size_t size)`
  `XAttr.ssize_t`
  `flistxattr(int fd, Pointer list, XAttr.size_t size)`
  `int`
  `fremovexattr(int fd, String name)`
  `int`
  `fsetxattr(int fd, String name, byte[] value, XAttr.size_t size, int flags)`
  `int`
  `fsetxattr(int fd, String name, Pointer value, XAttr.size_t size, int flags)`
  `XAttr.ssize_t`
  `getxattr(String path, String name, byte[] value, XAttr.size_t size)`
  `XAttr.ssize_t`
  `getxattr(String path, String name, Pointer value, XAttr.size_t size)`
  `XAttr.ssize_t`
  `lgetxattr(String path, String name, byte[] value, XAttr.size_t size)`
  `XAttr.ssize_t`
  `lgetxattr(String path, String name, Pointer value, XAttr.size_t size)`
  `XAttr.ssize_t`
  `listxattr(String path, byte[] list, XAttr.size_t size)`
  `XAttr.ssize_t`
  `listxattr(String path, Pointer list, XAttr.size_t size)`
  `XAttr.ssize_t`
  `llistxattr(String path, byte[] list, XAttr.size_t size)`
  `XAttr.ssize_t`
  `llistxattr(String path, Pointer list, XAttr.size_t size)`
  `int`
  `lremovexattr(String path, String name)`
  `int`
  `lsetxattr(String path, String name, byte[] value, XAttr.size_t size, int flags)`
  `int`
  `lsetxattr(String path, String name, Pointer value, XAttr.size_t size, int flags)`
  `int`
  `removexattr(String path, String name)`
  `int`
  `setxattr(String path, String name, byte[] value, XAttr.size_t size, int flags)`
  `int`
  `setxattr(String path, String name, Pointer value, XAttr.size_t size, int flags)`

- ## Field Details

  - ### INSTANCE

    static final XAttr INSTANCE

  - ### XATTR_CREATE

    static final int XATTR_CREATE
    See Also:
      - Constant Field Values

  - ### XATTR_REPLACE

    static final int XATTR_REPLACE
    See Also:
      - Constant Field Values

  - ### EPERM

    static final int EPERM
    See Also:
      - Constant Field Values

  - ### E2BIG

    static final int E2BIG
    See Also:
      - Constant Field Values

  - ### EEXIST

    static final int EEXIST
    See Also:
      - Constant Field Values

  - ### ENOSPC

    static final int ENOSPC
    See Also:
      - Constant Field Values

  - ### ERANGE

    static final int ERANGE
    See Also:
      - Constant Field Values

  - ### ENODATA

    static final int ENODATA
    See Also:
      - Constant Field Values

  - ### ENOATTR

    static final int ENOATTR
    See Also:
      - Constant Field Values

  - ### ENOTSUP

    static final int ENOTSUP
    See Also:
      - Constant Field Values

  - ### EDQUOT

    static final int EDQUOT
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setxattr

    int setxattr(String path, String name, Pointer value, XAttr.size_t size, int flags)

  - ### setxattr

    int setxattr(String path, String name, byte[] value, XAttr.size_t size, int flags)

  - ### lsetxattr

    int lsetxattr(String path, String name, Pointer value, XAttr.size_t size, int flags)

  - ### lsetxattr

    int lsetxattr(String path, String name, byte[] value, XAttr.size_t size, int flags)

  - ### fsetxattr

    int fsetxattr(int fd, String name, Pointer value, XAttr.size_t size, int flags)

  - ### fsetxattr

    int fsetxattr(int fd, String name, byte[] value, XAttr.size_t size, int flags)

  - ### getxattr

    XAttr.ssize_t getxattr(String path, String name, Pointer value, XAttr.size_t size)

  - ### getxattr

    XAttr.ssize_t getxattr(String path, String name, byte[] value, XAttr.size_t size)

  - ### lgetxattr

    XAttr.ssize_t lgetxattr(String path, String name, Pointer value, XAttr.size_t size)

  - ### lgetxattr

    XAttr.ssize_t lgetxattr(String path, String name, byte[] value, XAttr.size_t size)

  - ### fgetxattr

    XAttr.ssize_t fgetxattr(int fd, String name, Pointer value, XAttr.size_t size)

  - ### fgetxattr

    XAttr.ssize_t fgetxattr(int fd, String name, byte[] value, XAttr.size_t size)

  - ### listxattr

    XAttr.ssize_t listxattr(String path, Pointer list, XAttr.size_t size)

  - ### listxattr

    XAttr.ssize_t listxattr(String path, byte[] list, XAttr.size_t size)

  - ### llistxattr

    XAttr.ssize_t llistxattr(String path, Pointer list, XAttr.size_t size)

  - ### llistxattr

    XAttr.ssize_t llistxattr(String path, byte[] list, XAttr.size_t size)

  - ### flistxattr

    XAttr.ssize_t flistxattr(int fd, Pointer list, XAttr.size_t size)

  - ### flistxattr

    XAttr.ssize_t flistxattr(int fd, byte[] list, XAttr.size_t size)

  - ### removexattr

    int removexattr(String path, String name)

  - ### lremovexattr

    int lremovexattr(String path, String name)

  - ### fremovexattr

    int fremovexattr(int fd, String name)